apiVersion: apps/v1
kind: Deployment
metadata:
  name: catalog
  labels:
    app: catalog
spec:
  replicas: 3
  selector:
    matchLabels:
      app: catalog
  template:
    metadata:
      labels:
        app: catalog
    spec:
      containers:
        - name: catalog
          image: registry.gitlab.com/ch-mc-b/autoshop-ms/app/shop/catalog:2.0.0
          imagePullPolicy: Always          
          ports:
            - containerPort: 8080